---
title: "创建重定向."
description: "创建重定向"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/online-store/redirect/create-a-redirect'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/online-store/redirect/create-a-redirect.md'
---
# 创建重定向

创建重定向

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_content`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /redirects/redirect.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_content`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `redirect_type`

  integer

  重定向类型： 1： 全路径重定向 2：类型重定向

* `target`

  string

  重定向的目标路径

* `path`

  string

  重定向的源路径

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `redirect`

  object

  重定向信息

  * `target`

    string

    重定向的目标路径

  * `updated_at`

    string

    重定向的更新时间

  * `create_at`

    string

    重定向的创建时间

  * `id`

    string

    重定向的id

  * `path`

    string

    重定向的源路径

  * `redirect_type`

    integer

    重定向类型： 1： 全路径重定向 2：类型重定向


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "创建重定向",
  "externalDocs": {
    "description": "接口使用的权限点: `write_content` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "9t0Q2kG2",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "redirect_type": {
              "name": "redirect_type",
              "description": "重定向类型： 1： 全路径重定向 2：类型重定向",
              "type": "integer",
              "example": 1
            },
            "target": {
              "name": "target",
              "description": "重定向的目标路径",
              "type": "string",
              "example": "\"/path/B\""
            },
            "path": {
              "name": "path",
              "description": "重定向的源路径",
              "type": "string",
              "example": "\"/path/A\""
            }
          },
          "required": [
            "path",
            "target"
          ],
          "example": {
            "redirect_type": 1,
            "target": "\"/path/B\"",
            "path": "\"/path/A\""
          }
        },
        "examples": {
          "创建一条重定向": {
            "value": {
              "path": "/path/A",
              "redirect_type": "1",
              "target": "/path/B"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "redirect": {
                "name": "redirect",
                "description": "重定向信息",
                "type": "object",
                "properties": {
                  "target": {
                    "name": "target",
                    "description": "重定向的目标路径",
                    "type": "string",
                    "example": ""
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "重定向的更新时间",
                    "type": "string",
                    "example": ""
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "重定向的创建时间",
                    "type": "string",
                    "example": ""
                  },
                  "id": {
                    "name": "id",
                    "description": "重定向的id",
                    "type": "string",
                    "example": ""
                  },
                  "path": {
                    "name": "path",
                    "description": "重定向的源路径",
                    "type": "string",
                    "example": ""
                  },
                  "redirect_type": {
                    "name": "redirect_type",
                    "description": "重定向类型： 1： 全路径重定向 2：类型重定向",
                    "type": "integer",
                    "example": 0
                  }
                },
                "example": {
                  "path": "",
                  "redirect_type": 0,
                  "target": "",
                  "updated_at": "",
                  "create_at": "",
                  "id": ""
                }
              }
            },
            "example": {
              "redirect": {
                "target": "",
                "updated_at": "",
                "create_at": "",
                "id": "",
                "path": "",
                "redirect_type": 0
              }
            }
          },
          "examples": {
            "创建一条重定向": {
              "value": {
                "redirect": {
                  "target": "/path/B",
                  "updated_at": "2024-08-21T21:49:25+10:00",
                  "create_at": "2024-08-21T21:49:25+10:00",
                  "id": "66c5d4452cec6d71872f3a9e",
                  "path": "/path/A",
                  "redirect_type": 1
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/redirects/redirect.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "创建重定向",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_content"
  ]
}
```